wifi TL-WN725N

Started by Lukas Mistr, December 22, 2014, 03:38:04 pm

Previous topic - Next topic

Lukas Mistr

good day

I would use wifi TL-WN725N that uses rtl8188eu. I use Linux Kernel 2.6.35. Could you advise me.

Lukas Mistr

January 12, 2015, 09:58:08 am #1 Last Edit: January 12, 2015, 10:38:27 am by Lukas Mistr
from the original version 2.6.35-8-ARCH I switched to 3.12.0-rc3-dirty, and I tried these instructions
http://kavacky.lv/getting_tp_link_tl_wn725n_wifi_dongle_running_on_raspberry_pi_with_arch_linux_rtl8188eu
https://github.com/lwfinger/rtl8188eu

But I failed but I received this message

Waiting for UDev uevents to be processed                              [BUSY]
[   14.970000] usbserial: disagrees about version of symbol module_layout
[   14.980000] usbserial: disagrees about version of symbol module_layout
[   15.530000] 8188eu: disagrees about version of symbol module_layout

mbergmann

The Linux kernel contains data structures whose layout varies not only from version to version but also depending on the compilation options. The message you get says that the version check fails during load of the module.
You may google CONFIG_MODVERSIONS to get an idea how the version check works.

I assume you downloaded the kernel and not build it yourself, right?

How about starting to build the kernel yourself by following Christians blog post and then building the drivers using the same kernel headers?

Regrads

Mike

Lukas Mistr

I have solved the problem.

it is necessary to modify the kernel for example by site

http://www.jann.cc/2012/08/23/building_a_kernel_3_x_for_the_olinuxino_from_sources.html#copy-a-current-arch-linux-arm-image-to-the-sd-card

In menuconfig, you need to add drivers for the wifi. Now the drivers are not fully debugged and therefore is in

devices drivers / staging drivers